%%%-------------------------------------------------------------------
%%% @author Anton N Ryabkov <anton.ryabkov@gmail.com>
%%% @copyright (C) 2011, Eltex
%%% @doc
%%%
%%% @end
%%% Created : 25 Mar 2011 by Anton N Ryabkov <anton.ryabkov@gmail.com>
%%%-------------------------------------------------------------------
-module(xml_test).

-export([
         invalid_xml_test/0,
         memory_leak_xml_test/0
        ]).

read_xml(FileName) ->
    {ok, Schema} = xmerl_xsd:process_schema("ss.xsd"),
    {ok, BXml} = file:read_file(FileName),
    Xml = erlang:binary_to_list(BXml),
    {XmerXml, _} = xmerl_scan:string(Xml),
    xmerl_xsd:validate(XmerXml, Schema).

invalid_xml_test() ->
    Result = read_xml("invalid_xml_bug.xml"),
    io:format("~p~n", [Result]).
%%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++

memory_leak_xml_test() ->
    Result = read_xml("memory_leak_bug.xml"),
    io:format("~p~n", [Result]).
%%++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++


